dmmp_mpath_array_get(3)

NAME
dmmp_mpath_array_get - Query all existing multipath devices.

SYNOPSIS
int dmmp_mpath_array_get (struct dmmp_context *ctx, struct dmmp_mpath ***dmmp_mps, uint32_t *dmmp_mp_count);

ARGUMENTS

ctx Pointer of 'struct dmmp_context'. If this pointer is NULL, your program will be terminated by assert.

dmmp_mps
    Output pointer array of 'struct dmmp_mpath'. If this pointer is NULL, your program will be terminated by assert.

dmmp_mp_count
    Output pointer of uint32_t. Hold the size of 'dmmp_mps' pointer array. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION
Query all existing multipath devices and store them into a pointer array. The memory of 'dmmp_mps' should be freed via dmmp_mpath_array_free.

RETURN
int. Valid error codes are: * DMMP_OK * DMMP_ERR_BUG * DMMP_ERR_NO_MEMORY * DMMP_ERR_NO_DAEMON * DMMP_ERR_INCONSISTENT_DATA Error number could be converted to string by dmmp_strerror.